classification
Title: Obsolete note in argument parsing (c-api/arg.rst)
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder: Docs on Parsing arguments should say something about mem mgmt for formatters returning C strings
View: 24278
Assigned To: docs@python Nosy List: berker.peksag, docs@python, martin.panter, petr.viktorin, r.david.murray, serhiy.storchaka, vstinner
Priority: normal Keywords: patch

Created on 2015-04-30 14:19 by petr.viktorin, last changed 2016-08-04 02:55 by martin.panter. This issue is now closed.

Files
File name Uploaded Description Edit
0002-Remove-obsolete-note-in-argument-parsing-docs.patch petr.viktorin, 2015-04-30 14:19
Messages (6)
msg242271 - (view) Author: Petr Viktorin (petr.viktorin) * (Python committer) Date: 2015-04-30 14:19
A note in the docs for the "u" format unit saus NULs are not allowed, but the previous sentence says they aren't accepted.
msg242366 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-05-02 01:55
The note is still valid concerning the length.  (Perhaps Victor should have deprected u instead of fixing it.)
msg242376 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-05-02 04:59
About wording see also issue23088.

About possible deprecating see issue24009.
msg242491 - (view) Author: Petr Viktorin (petr.viktorin) * (Python committer) Date: 2015-05-03 16:21
The note is *correct* concerning the length, but I don't think it's relevant: in a NUL-terminated string without embedded NULs, the length is unambiguous.

The other issues are about "u" itself, not the note. (I have nothing against the "it is recommended to use u# or U instead" part, but the reasons the note gives are wrong and irrelevant, respectively.)
msg271843 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-08-02 19:20
The patch looks good to me. Note that the patch in issue 24278 also removes the same note.
msg271940 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-08-04 02:55
I committed my patch for Issue 24278 (revision ad7da726bea6), so this notice is now removed
History
Date User Action Args
2016-08-04 02:55:03martin.pantersetstatus: open -> closed

superseder: Docs on Parsing arguments should say something about mem mgmt for formatters returning C strings

nosy: + martin.panter
messages: + msg271940
resolution: fixed
stage: patch review -> resolved
2016-08-02 19:20:59berker.peksagsetversions: + Python 3.5, Python 3.6, - Python 3.4
nosy: + berker.peksag

messages: + msg271843

type: behavior
stage: patch review
2015-05-03 16:21:18petr.viktorinsetmessages: + msg242491
2015-05-02 04:59:52serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg242376
2015-05-02 01:55:46r.david.murraysetnosy: + vstinner, r.david.murray
messages: + msg242366
2015-04-30 14:19:30petr.viktorincreate